Subject: Re: bug#59899: 30.0.50; Failing to match org-agenda properties

From: Eli Zaretskii <[email-masked]>
Date: Thu, 08 Dec 2022 13:00:03 +0200

> From: Brent Westbrook <[email-masked]>
> Date: Wed, 07 Dec 2022 22:35:54 -0500
> 
> In emacs -Q, with a simple org agenda file like:
> 
> * TODO try out org mode
> SCHEDULED: <2022-12-07 Wed 23:00>
> 
> in /tmp/test.org, setting
> 
> (setq org-agenda-files '("/tmp/test.org"))
> 
> and running M-x org-agenda m and typing the queries SCHEDULED>="<today>"
> or SCHEDULED="<today>", I get no results, but if I do
> SCHEDULED<="<today>" or SCHEDULED<"<today>", it does work. This is
> pretty minor in this example, but for potentially large agenda files,
> this could cause a lot of work. For example, in the org-alert package I
> help maintain, we use `org-map-entries` filtered with a MATCH argument
> like
> 
> "SCHEDULED>=\"<today>\"+SCHEDULED<\"<tomorrow>\"|DEADLINE>=\"<today>\"+DEADLINE<\"<tomorrow>\""
> 
> to select only upcoming events. I noticed that I didn't get
> notifications for events on my agenda today, and this query now failing
> seems to be the root cause. Even simplifying it to the first part
> "SCHEDULED>=\"<today>\"", as in the example above, fails to return any
> results. I've also tried SCHEDULED<"<tomorrow>" alone as a query, but it
> yields scheduled items from today and tomorrow.
> 
> I've checked this page
> (https://orgmode.org/manual/Matching-tags-and-properties.html) of the
> org manual and the breaking changes section of the 9.6 release notes but
> can't see what I'm doing wrong. I'd be happy to update my queries if
> that's the issue, but at least right now I think there might be a bug in
> this tag-matching code. I might poke around and try to submit a patch
> tomorrow if I can find anything.
> 
> I just rebuilt my emacs from the master branch to make sure this hasn't
> been fixed in the past couple of days and am still able to reproduce it
> on commit 5d68cc99177569a661da0ac75bb7df1ec4098fda. I think it was
> working before I updated to the version with org 9.6, but I'm not
> entirely sure.

Thanks, but could you please report this to the Org list first?